<div class="summary-transmit">
  <app-content-banner [isDashboard]="false" pageName="Application Review and Transmit" [isTutorialRequired]="true"
    [TutorialPageName]="'application-transmission'"></app-content-banner>
  <mat-card class="summary-transmit-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <app-client-banner></app-client-banner>
    </mat-card-header>

    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">

        <!--Summary Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Summary</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="summary-transmit-small-box mat-elevation-z4" fxLayout="column">
                <div class="summary-transmit-container mat-elevation-z4">
                  <form [formGroup]="appReviewTransmitGroup" autocomplete="off">
                    <div class="content-main">

                      <!-- <div class="content-sub" *ngIf="!isReportLoaded">
                      <span class="content-report-spinner">
                        <mat-spinner [diameter]="100"></mat-spinner>
                      </span>
                    </div> -->

                      <div class="content-sub" *ngIf="isReportLoaded">
                        <span>
                          Note: Bookmarks can be used to navigate to different sections of the PDF report. Bookmark icon
                          <mat-icon>bookmark_border</mat-icon>
                          can be located on top right corner of the PDF report.
                        </span>
                      </div>
                      <br />

                      <div class="content-sub" style="height: 100%; width: 100%; min-height: 600px;">
                        <iframe #reportIframe width="100%" height="100%"
                          style="min-height: 600px !important; position: relative;" frameBorder="1"
                          [src]="sanitizedReportUrl" id="reportIframe" name="reportIframe" *ngIf="isReportLoaded">
                        </iframe>
                      </div>
                    </div>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>

        <!--Agency Information Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Agency Information</span>
          </ng-template>
          <ng-template matTabContent>

            <mat-card class="mat-elevation-z0">
              <div class="mat-elevation-z0" fxLayout="column">
                <div class="mat-elevation-z4">
                  <form [formGroup]="appReviewTransmitGroup" autocomplete="off">

                    <div class="content-main regular-mat-form-field">

                      <div class="content-sub">
                        <mat-label class="consent-margin-1 labelTextBoldLarge">Referring Agency Information</mat-label>
                      </div>
                      <br />

                      <div class="content-sub">
                        <mat-label class="labelTextRed content-sub-label-11">Referring Agency :</mat-label>
                        <mat-label class="content-sub-label-2">{{referringAgency}}</mat-label>
                        <mat-label class="labelTextRed content-sub-label-3">Referring Site :</mat-label>
                        <mat-label class="content-sub-label-4">{{referringSite}}</mat-label>
                      </div>

                      <div class="content-sub">
                        <mat-label class="labelTextRed content-sub-label-1">Type of Site :</mat-label>
                        <mat-label class="content-sub-label-234">{{typeSite}}</mat-label>
                        <!-- <mat-label class="content-sub-label-3"></mat-label>
                      <mat-label class="content-sub-label-4"></mat-label> -->
                      </div>

                      <div class="content-sub">
                        <mat-label class="labelTextRed content-sub-label-11">Address :</mat-label>
                        <mat-label class="content-sub-label-2">{{address}}</mat-label>
                        <mat-label class="labelTextRed content-sub-label-3">City :</mat-label>
                        <mat-label class="content-sub-label-4">{{city}}</mat-label>
                      </div>

                      <!-- <div class="content-sub">
                      <mat-label class="labelTextRed content-sub-label-1">City :</mat-label>
                      <mat-label class="content-sub-label-234">{{city}}</mat-label>
                      <mat-label class="content-sub-label-3"></mat-label>
                      <mat-label class="content-sub-field-4"></mat-label>
                    </div> -->

                      <div class="content-sub">
                        <mat-label class="labelTextRed content-sub-label-11">State :</mat-label>
                        <mat-label class="content-sub-label-2">{{state}}</mat-label>
                        <mat-label class="labelTextRed content-sub-label-3">Zip :</mat-label>
                        <mat-label class="content-sub-label-4">{{zip}}</mat-label>
                      </div>


                    </div>

                  </form>
                </div>
              </div>
            </mat-card>

            <mat-card class="mat-elevation-z0">
              <div class="mat-elevation-z0" fxLayout="column">
                <div class="mat-elevation-z4 consentBackGround">
                  <form [formGroup]="appReviewTransmitGroup" autocomplete="off">

                    <div class="content-main regular-mat-form-field">

                      <div class="content-sub">
                        <mat-label class="labelTextRedBoldLarge consent-margin-1">Verification</mat-label>
                      </div>

                      <div class="content-sub consent-margin-1">
                        <mat-checkbox formControlName="verificationConsentCtrl"
                          (change)="onIsConsentCheckChange($event)">
                        </mat-checkbox>

                        <mat-label class="labelTextRed consent-margin">I verify to the best of my knowledge the
                          information provided in this
                          application is accurate and complete.
                        </mat-label>
                      </div>
                      <br />

                      <div class="content-sub">
                        <mat-label class="labelTextRed content-sub-label-11">Referring Worker's Name :</mat-label>
                        <mat-label class="content-sub-label-2">{{workerName}}</mat-label>
                        <mat-label class="labelTextRed content-sub-label-3">Title :</mat-label>
                        <mat-label class="content-sub-label-4">{{title}}</mat-label>
                      </div>

                      <div class="content-sub">
                        <mat-label class="labelTextRed content-sub-label-11">Ph # :</mat-label>
                        <mat-label class="content-sub-label-2">{{officePhone}}</mat-label>
                        <mat-label class="labelTextRed content-sub-label-3">Ext :</mat-label>
                        <mat-label class="content-sub-label-4">{{officeExt}}</mat-label>
                      </div>

                      <div class="content-sub">
                        <mat-label class="labelTextRed content-sub-label-1" style="margin-right: 5px;">Email :
                        </mat-label>
                        <mat-label class="content-sub-label-234">{{email}}</mat-label>
                        <!-- <mat-label class="content-sub-label-3"></mat-label>
                      <mat-label class="content-sub-label-4"></mat-label> -->
                      </div>



                    </div>

                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>

      </mat-tab-group>
    </mat-card-content>

    <div class="content-main">
      <div class="content-sub">
        <div class="content-sub-button-parent-left" *ngIf="!isTransmitVisible">
          <button type="button" *ngIf="isSummaryVisible" mat-raised-button color="primary"
            (click)="openReport('PACTReportApplicationSummary')">Print Summary</button>
          <span *ngIf="isPsychiatricVisible">
            &nbsp;&nbsp;<button type="button" mat-raised-button color="primary"
              (click)="openReport('PsychiarticEvalReport')">Psychiatric</button>
          </span>
          <span *ngIf="isPsychosocialVisible">
            &nbsp;&nbsp;<button type="button" mat-raised-button color="primary"
              (click)="openReport('PsychosocialEvalReport')">Psychosocial</button>
          </span>
          <span *ngIf="isMHRVisible">
            &nbsp;&nbsp;<button type="button" mat-raised-button color="primary"
              (click)="openReport('MentalHealthReport')">MHR</button>
          </span>
        </div>

        <!-- <div class="content-sub-button-parent-left" *ngIf="isTransmitVisible">
          <app-tutorial pageName="application-transmission"></app-tutorial>
        </div> -->

        <div class="content-sub-button-parent-right">
          <button type="button" mat-raised-button color="primary" (click)="previousTab()">Previous</button>
          <span *ngIf="!isTransmitVisible">
            &nbsp;&nbsp;<button type="button" mat-raised-button color="primary" (click)="nextTab()">Next</button>
          </span>
          <span *ngIf="isTransmitVisible">
            &nbsp;&nbsp;<button type="button" mat-raised-button color="primary" (click)="transmit()">Transmit</button>
          </span>
        </div>
      </div>
    </div>


  </mat-card>

</div>